---
title: "Identifier change Request"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/identifierChange1"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Identifier change Request

`PATCH` `/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/identifiers`

Operation ID: `identifierChange1`

## Path parameters

- `planCode` (string, required)
- `policyNumber` (string, required) - Policy Number
- `partyId` (string, required) - PartyId for which address need to be updated it be avaible under SOR Policy Details

## Request body (required)

Content types: `application/json`

## Responses

- `202` - Success
- `400` - Rules and Transaction Failure
- `500` - Unexpected error occured, please check server logs

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/identifiers:
    patch:
      tags:
        - Non Financial Transactions
      summary: Identifier change Request
      operationId: identifierChange1
      parameters:
        - name: planCode
          in: path
          required: true
          schema:
            type: string
        - name: policyNumber
          in: path
          required: true
          schema:
            type: string
          description: Policy Number
        - name: partyId
          in: path
          required: true
          schema:
            type: string
          description: PartyId for which address need to be updated it be avaible under
            SOR Policy Details
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/IdentifierChangeRequest"
      responses:
        "202":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionAcceptedResponse"
        "400":
          description: Rules and Transaction Failure
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
              examples:
                failure:
                  $ref: "#/components/examples/failureTransactionResponse"
        "500":
          description: Unexpected error occured, please check server logs
      security:
        - Auth0: []
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
security:
  - Auth0: []
components:
  schemas:
    IdentifierChangeRequest:
      type: object
      properties:
        correlationId:
          type: string
          example: 91f72a12-db2d-4254-93a8-e4c9c6c98588
          description: The unique ID to track transaction request across all systems
        caseId:
          type: string
          example: CA0000007389
          description: Zinnia Live Case ID
        effectiveDate:
          type: string
          format: date
          pattern: ([0-9]{4})-([0-9]{2})-([0-9]{2})
          example: 2022-01-01
          description: Date (with pattern "yyyy-mm-dd")
        identifiers:
          type: array
          items:
            anyOf:
              - $ref: "#/components/schemas/PassportIdentifier"
              - $ref: "#/components/schemas/StateIdIdentifier"
              - $ref: "#/components/schemas/DriversLicenseIdentifier"
              - $ref: "#/components/schemas/SsnIdentifier"
              - $ref: "#/components/schemas/ItinIdentifier"
              - $ref: "#/components/schemas/AlienRegistrationIdentifier"
              - $ref: "#/components/schemas/ExternalPartyIdentifier"
          description: Array of identifiers for this party
      required:
        - effectiveDate
        - identifiers
    TransactionAcceptedResponse:
      type: object
      properties:
        correlationId:
          type: string
          example: 3a2a3435-2089-4b81-9959-e0d569ccf4f0
          description: Unique identifier which used by every system to trace the request
        caseId:
          type: string
          example: CA0000369469
          description: Zinnia Live Case ID
        caseStatus:
          type: string
          example: IN_PROGRESS
          description: Zinnia Live Case Status
        pdfId:
          type: string
          description: Identifier for the generated or associated PDF document (e.g.
            OnBase document number). Returned on systematic program setup and
            update submit when available.
          example: DOC-10004567
    TransactionResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - failure
        error:
          type: array
          items:
            $ref: "#/components/schemas/Error"
        quoteResponse:
          type: object
    PassportIdentifier:
      allOf:
        - $ref: "#/components/schemas/GovernmentIssuedIdentifier"
        - type: object
          required:
            - countryOfIssue
          properties:
            countryOfIssue:
              $ref: "#/components/schemas/Country"
    StateIdIdentifier:
      allOf:
        - $ref: "#/components/schemas/GovernmentIssuedIdentifier"
        - type: object
          required:
            - jurisdiction
          properties:
            jurisdiction:
              $ref: "#/components/schemas/State"
    DriversLicenseIdentifier:
      allOf:
        - $ref: "#/components/schemas/GovernmentIssuedIdentifier"
        - type: object
          required:
            - jurisdiction
            - class
          properties:
            jurisdiction:
              $ref: "#/components/schemas/State"
            restrictions:
              type: array
              items:
                type: string
              description: List of license restrictions
    SsnIdentifier:
      allOf:
        - $ref: "#/components/schemas/Identifier"
        - type: object
          properties:
            lastFourOnly:
              type: boolean
              description: Indicates if only the last four digits are provided
    ItinIdentifier:
      allOf:
        - $ref: "#/components/schemas/Identifier"
        - type: object
          properties:
            issueYear:
              type: string
              pattern: ^\d{4}$
              description: Year when the ITIN was issued
    AlienRegistrationIdentifier:
      allOf:
        - $ref: "#/components/schemas/GovernmentIssuedIdentifier"
        - type: object
          required:
            - countryOfOrigin
            - category
          properties:
            countryOfOrigin:
              $ref: "#/components/schemas/Country"
            category:
              type: string
              description: Immigration category or classification
    ExternalPartyIdentifier:
      allOf:
        - $ref: "#/components/schemas/ExternalIdentifier"
    Error:
      type: object
      properties:
        errorCode:
          type: string
          example: BPM.NM.002
          description: This is the NIGO id generated by BPM system
        attribute:
          type: string
        error:
          type: string
          description: This is the error generated by BPM system
        resolution:
          type: string
          description: Resolution generated by BPM system to resolve the error
    GovernmentIssuedIdentifier:
      allOf:
        - $ref: "#/components/schemas/Identifier"
        - type: object
          properties:
            issueDate:
              type: string
              format: date
              pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
              example: 2022-01-01
              description: Date (with pattern "yyyy-mm-dd")
            expirationDate:
              type: string
              format: date
              pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
              example: 2022-01-01
              description: Date (with pattern "yyyy-mm-dd")
            status:
              $ref: "#/components/schemas/IdentifierStatus"
    Country:
      type: string
      enum:
        - US
        - CA
        - RU
        - EG
        - ZA
        - GR
        - NL
        - BE
        - FR
        - ES
        - HU
        - IT
        - RO
        - CH
        - AT
        - GB
        - DK
        - SE
        - NO
        - PL
        - DE
        - PE
        - MX
        - CU
        - AR
        - BR
        - CL
        - CO
        - VE
        - MY
        - AU
        - ID
        - PH
        - NZ
        - SG
        - TH
        - JP
        - VN
        - CN
        - TR
        - IN
        - PK
        - AF
        - LK
        - IR
        - MA
        - DZ
        - TN
        - LY
        - GM
        - SN
        - MR
        - ML
        - GN
        - BF
        - NE
        - TG
        - BJ
        - MU
        - LR
        - SL
        - GH
        - NG
        - CF
        - TD
        - CM
        - CV
        - ST
        - GQ
        - GA
        - BS
        - AO
        - BB
        - AX
        - SD
        - RW
        - ET
        - SO
        - DJ
        - KE
        - TZ
        - UG
        - BI
        - MZ
        - ZM
        - MG
        - RE
        - ZW
        - NA
        - MW
        - LS
        - BW
        - AG
        - KM
        - GW
        - CD
        - VG
        - SH
        - AW
        - FO
        - GL
        - KY
        - GI
        - PT
        - LU
        - IE
        - IS
        - AL
        - MT
        - CY
        - FI
        - BG
        - GG
        - LT
        - LV
        - EE
        - MD
        - AM
        - BY
        - AD
        - SM
        - UA
        - HR
        - SI
        - BA
        - MK
        - XK
        - CZ
        - SK
        - LI
        - BM
        - GD
        - FK
        - BZ
        - GT
        - SV
        - HN
        - NI
        - CR
        - PM
        - HT
        - PR
        - VI
        - GS
        - SX
        - BQ
        - GP
        - BO
        - GY
        - EC
        - GF
        - PY
        - MQ
        - SR
        - UY
        - AN
        - TC
        - BL
        - MF
        - MS
        - GU
        - AQ
        - BN
        - NR
        - PG
        - TO
        - SB
        - VU
        - FJ
        - WF
        - CK
        - NU
        - AS
        - KI
        - NC
        - TV
        - PF
        - MP
        - PW
        - MH
        - FM
        - SS
        - LC
        - DM
        - VC
        - DO
        - HK
        - MO
        - KH
        - LA
        - TT
        - KN
        - JM
        - BD
        - TW
        - MM
        - KR
        - KP
        - LB
        - JO
        - SY
        - IQ
        - KW
        - SA
        - YE
        - OM
        - AE
        - IL
        - BH
        - QA
        - BT
        - NP
        - TJ
        - TM
        - AZ
        - GE
        - UZ
        - AI
        - PA
        - CI
        - ER
        - KZ
        - KG
        - CC
        - MN
        - BV
        - SC
        - IO
        - WS
        - TL
        - TF
        - YT
        - PN
        - SJ
        - TK
        - UM
        - EH
        - MV
        - CX
        - NF
        - CW
        - CG
        - MC
        - VA
        - SZ
        - PS
        - JE
        - IM
        - RS
        - ME
        - HM
      description: Abbreviated names for countries
    State:
      type: string
      example: AL
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DC
        - DE
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      description: Abbreviated names for states
    Identifier:
      type: object
      required:
        - startDate
        - type
        - value
      properties:
        startDate:
          type: string
          format: date
          pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
          example: 2022-01-01
          description: Date (with pattern "yyyy-mm-dd")
        endDate:
          type: string
          format: date
          pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
          example: 2022-01-01
          description: Date (with pattern "yyyy-mm-dd")
        type:
          $ref: "#/components/schemas/IdentifierType"
        value:
          type: string
          description: Value of the identifier
          example: "123456"
        description:
          type: string
          description: Additional description or notes about this identifier
          example: identifier description
        source:
          type: string
          description: Source system or organization that issued this identifier
          example: source system
    ExternalIdentifier:
      type: object
      required:
        - type
        - key
        - value
        - startDate
      properties:
        startDate:
          type: string
          format: date
          pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
          example: 2022-01-01
          description: Date (with pattern "yyyy-mm-dd")
        endDate:
          type: string
          format: date
          pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
          example: 2022-01-01
          description: Date (with pattern "yyyy-mm-dd")
        type:
          $ref: "#/components/schemas/IdentifierType"
        key:
          type: string
          example: ecn
          description: name of the identifier document
        value:
          type: string
          example: "123456"
          description: Value of the identifier
        description:
          type: string
          description: Additional description or notes about this identifier
          example: identifier description
        source:
          type: string
          description: Source system or organization that issued this identifier
          example: source system
    IdentifierStatus:
      type: string
      enum:
        - ACTIVE
        - EXPIRED
        - SUSPENDED
        - REVOKED
        - PENDING
      description: Status of the identifier document
      example: ACTIVE
    IdentifierType:
      type: string
      enum:
        - PASSPORT
        - STATE_ID
        - DRIVERS_LICENSE
        - SSN
        - ITIN
        - ALIEN_REGISTRATION
        - EXTERNAL_PARTY_IDENTIFIER
      description: Type of identifier document
  examples:
    failureTransactionResponse:
      value:
        status: failure
        validationResult:
          - errorCode: BPM.NM.005
            attribute: null
            error: Amount request is invalid.
            resolution: Please check the One Time Premium Amount and submit the request
              again.
          - errorCode: BPM.NM.003
            attribute: null
            error: Party information does not match with information in the Zahara system.
            resolution: Please validate the party information and submit the request again.
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.uat.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://uat.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://uat.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
